package com.jxml.quick.access;
import com.jxml.quick.*;
import java.util.*;
import com.jxml.quick.tf.*;

public class QAccessWrapper extends QAccess
{
    public QAccess access=null;

    public boolean writeable(QTargetFactory parentFactory, QContext context)
	throws QPE
    {
	return access.writeable(parentFactory,context);
    }

    public void add(Object parentObject, 
		    QTargetFactory parentFactory,
		    Object childObject, 
		    QContext context)
	throws QPE
    {
	access.add(parentObject,parentFactory,childObject,context);
    }

    public int reserve(QTargetFactory parentFactory,			//1.1.5
			Object parent,
		       QContext context)
	throws QPE
    {
	return access.reserve(parentFactory,parent,context);		//1.1.5
    }

    public void set(int reserved,
		    Object parent, 
		    QTargetFactory parentFactory,
		    Object child, 
		    QContext context)
	throws QPE
    {
	access.set(reserved,parent,parentFactory,child,context);
    }

    public boolean readable(QTargetFactory parentFactory, QContext context)
	throws QPE
    {
	return access.readable(parentFactory,context);
    }

    public QIterator createIterator()
    {
	return access.createIterator();
    }

    public void setIteratorParent(QIterator it, 
				  Object parent, 
				  QTargetFactory parentFactory,
				  QContext context)
	throws QPE
    {
	access.setIteratorParent(it,parent,parentFactory,context);
    }
}
